Bug 128484 - gcc-gnat does not remove older versions upon upgrading
gcc-gnat does not remove older versions upon upgrading
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 11:14 EDT by Jim Cornette
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-02 12:02:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
errors with versions --verify (31.18 KB, text/plain)
2004-07-23 11:16 EDT, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2004-07-23 11:14:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
rpm -q gcc-gnat

gcc-gnat = 3.4.1-2
gcc-gnat = 3.4.1-5
gcc-gnat = 3.4.1-7

 rpm -q libgnat
libgnat-3.4.1-7


This was only with gcc-gnat -2 and -5 before. After running up2date to
retrieve the latset packages. Now -7 is in the fold also.

This is a clean install of FC3T1 and with development versions upgraded.

Version-Release number of selected component (if applicable):
gcc-gnat = 3.4.1-2
gcc-gnat = 3.4.1-5
gcc-gnat = 3.4.1-7

How reproducible:
Always

Steps to Reproduce:
1. Notice on system 1 - upgraded
2.notice error on system 2
3. noticed that once version 2 was installed and version 5 installed.
No older version is ever removed.
    

Actual Results:  many versions of the latest package should only be
installed.

Expected Results:  One version should be available and the older
versions should not be on the system.

Additional info:

 rpm -q --verify gcc-gnat-3.4.1-7

shows no problems.

output before -7 installed will be attached.
Comment 1 Jim Cornette 2004-07-23 11:16:06 EDT
Created attachment 102181 [details]
errors with versions --verify

This is on several systems with this error
Comment 2 Jim Cornette 2004-07-23 11:22:05 EDT
After removing the two older versions. I recieved errors on verifying
the rpm.

rpm -q --verify gcc-gnat-3.4.1-7
missing     /usr/share/doc/gcc-gnat-3.4.1
missing   d /usr/share/doc/gcc-gnat-3.4.1/ChangeLog

I'll uninstall fully the package.
Comment 3 Jim Cornette 2004-07-23 11:23:20 EDT
rpm -e gcc-gnat-3.4.1-7
install-info: warning: no entries found for
`/usr/share/info/gnat_ugn_unw.info.gz'; nothing deleted
Comment 4 Jim Cornette 2004-07-23 11:27:27 EDT
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
gcc-gnat                                3.4.1          7             
   i386
 
 
Testing package set / solving RPM inter-dependencies...
########################################
gcc-gnat-3.4.1-7.i386.rpm:  ########################## Done.
Preparing              ########################################### [100%]
 
Installing...
   1:gcc-gnat              
########################################### [100%]
install-info: menu item `GNAT User's Guide (gnat_ugn_unw) for Native
Platforms / Unix and Windows
' already exists, for file `(none)'



The verification of the program came back blank. I assume this is back
in working order.
Comment 5 Jakub Jelinek 2004-08-02 12:02:23 EDT
There used to be a %post typo back in 3.4.1-2.  But given that this
rpm was never released in a distro or errata, just in rawhide,
I don't think it is worth cluttering the %post for one buggy version.
Comment 6 Jim Cornette 2004-08-02 21:42:56 EDT
For people coming in after the 3.4.1-2 problem. I think they won't be
affected by this bug.
With the bugged version, I got three copies of the same package.

I have not experienced recurring problems after 3.4.1-2 and removing
all versions, then installing the newest version. Wontfix is fine.

Thanks!
Jim

Note You need to log in before you can comment on or make changes to this bug.